Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class FieldJoinPointGenerator

    java.lang.Object
      org.jboss.aop.instrument.JoinPointGenerator
          org.jboss.aop.instrument.FieldJoinPointGenerator

public class FieldJoinPointGenerator
extends JoinPointGenerator

Version:
  $Revision$
Author:
  Kabir Khan

Nested Class Summary

Nested classes inherited from class org.jboss.aop.instrument.JoinPointGenerator
`JoinPointGenerator.AdviceSetup`

Field Summary
`static String` | `READ_GENERATOR_PREFIX`
`static String` | `READ_JOINPOINT_CLASS_PREFIX`
`static String` | `READ_JOINPOINT_FIELD_PREFIX`
`static String` | `WRITE_GENERATOR_PREFIX`
`static String` | `WRITE_JOINPOINT_CLASS_PREFIX`
`static String` | `WRITE_JOINPOINT_FIELD_PREFIX`

Fields inherited from class org.jboss.aop.instrument.JoinPointGenerator
`advisor, DISPATCH, GENERATE_JOINPOINT_CLASS, GENERATED_CLASS_ADVISOR, GENERATOR_PREFIX, info, INFO_FIELD, INVOKE_JOINPOINT, JOINPOINT_CLASS_PREFIX, JOINPOINT_FIELD_PREFIX, joinpointClassName, joinpointFieldName, TARGET_FIELD`

Constructor Summary
`FieldJoinPointGenerator(GeneratedClassAdvisor advisor, JoinPointInfo info)`

Method Summary
`protected static javassist.CtClass` | `createReadJoinpointBaseClass(GeneratedAdvisorInstrumentor instrumentor, javassist.CtClass advisedClass, javassist.CtField advisedField, String finame, int index)`
`protected static javassist.CtClass` | `createWriteJoinpointBaseClass(GeneratedAdvisorInstrumentor instrumentor, javassist.CtClass advisedClass, javassist.CtField advisedField, String finame, int index)`
`protected AdviceMethodProperties` | `getAdviceMethodProperties(JoinPointGenerator.AdviceSetup setup)`
`protected static String` | `getInfoFieldName(String fieldName, boolean read)`
`protected String` | `getJoinPointGeneratorFieldName()`
`static String` | `getJoinPointGeneratorFieldName(String fieldName, boolean read)`
`protected javassist.CtClass[]` | `getJoinpointParameters()`
`protected Class` | `getReturnType()`
`protected boolean` | `hasTargetObject()`
`protected void` | `initialiseJoinPointNames()`
`protected boolean` | `isVoid()`

Methods inherited from class org.jboss.aop.instrument.JoinPointGenerator
`addUntransformableInterface, addUntransformableInterface, appendAroundCallString, generateJoinPointClass, hasCallingObject, isCaller, overrideDispatchMethods, overrideDispatchMethods, rebindJoinpoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WRITE_GENERATOR_PREFIX

    public static final String WRITE_GENERATOR_PREFIX

See Also:
  Constant Field Values

### READ_GENERATOR_PREFIX

    public static final String READ_GENERATOR_PREFIX

See Also:
  Constant Field Values

### WRITE_JOINPOINT_FIELD_PREFIX

    public static final String WRITE_JOINPOINT_FIELD_PREFIX

See Also:
  Constant Field Values

### READ_JOINPOINT_FIELD_PREFIX

    public static final String READ_JOINPOINT_FIELD_PREFIX

See Also:
  Constant Field Values

### WRITE_JOINPOINT_CLASS_PREFIX

    public static final String WRITE_JOINPOINT_CLASS_PREFIX

See Also:
  Constant Field Values

### READ_JOINPOINT_CLASS_PREFIX

    public static final String READ_JOINPOINT_CLASS_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### FieldJoinPointGenerator

    public FieldJoinPointGenerator(GeneratedClassAdvisor advisor,
                                   JoinPointInfo info)

Method Detail

### initialiseJoinPointNames

    protected void initialiseJoinPointNames()

  Specified by:
    `initialiseJoinPointNames` in class `JoinPointGenerator`

### isVoid

    protected boolean isVoid()

  Specified by:
    `isVoid` in class `JoinPointGenerator`

### getReturnType

    protected Class getReturnType()

  Specified by:
    `getReturnType` in class `JoinPointGenerator`

### getAdviceMethodProperties

    protected AdviceMethodProperties getAdviceMethodProperties(JoinPointGenerator.AdviceSetup setup)

  Specified by:
    `getAdviceMethodProperties` in class `JoinPointGenerator`

### getJoinpointParameters

    protected javassist.CtClass[] getJoinpointParameters()
                                                  throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### hasTargetObject

    protected boolean hasTargetObject()

  Specified by:
    `hasTargetObject` in class `JoinPointGenerator`

### getJoinPointGeneratorFieldName

    protected String getJoinPointGeneratorFieldName()

  Specified by:
    `getJoinPointGeneratorFieldName` in class `JoinPointGenerator`

### getInfoFieldName

    protected static String getInfoFieldName(String fieldName,
                                             boolean read)

### getJoinPointGeneratorFieldName

    public static String getJoinPointGeneratorFieldName(String fieldName,
                                                        boolean read)

### createReadJoinpointBaseClass

    protected static javassist.CtClass createReadJoinpointBaseClass(GeneratedAdvisorInstrumentor instrumentor,
                                                                    javassist.CtClass advisedClass,
                                                                    javassist.CtField advisedField,
                                                                    String finame,
                                                                    int index)
                                                             throws javassist.NotFoundException,
                                                                    javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### createWriteJoinpointBaseClass

    protected static javassist.CtClass createWriteJoinpointBaseClass(GeneratedAdvisorInstrumentor instrumentor,
                                                                     javassist.CtClass advisedClass,
                                                                     javassist.CtField advisedField,
                                                                     String finame,
                                                                     int index)
                                                              throws javassist.NotFoundException,
                                                                     javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.